Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TaskNotice

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.Task
                      com.compoze.domino.TaskNotice

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DelegatedTaskNotice, RequestAssignmentInfo, TaskAssignment, TaskCounterProposal

public class TaskNotice
extends Task
implements java.io.Serializable

This class is a Domino task notice. Task notice instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the notice was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on a notice.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`TaskNoticeType` | `getNoticeType()` Gets the notice type.
`java.lang.String` | `getStatusUpdate()` Gets the status update (comment) for the notice.
`java.lang.String` | `getTitle()` Gets the title for the notice using the default locale.
`java.lang.String` | `getTitle(java.util.Locale locale)` Gets the title for the notice.
`java.lang.String` | `getTopic()` Gets the topic of the notice.

Methods inherited from class com.compoze.domino.Task
`getChair, getDueDateTime, getDueDateTimeArray, getDueDateTimeArrayString, getDueDateTimeArrayString, getDueDateTimeString, getDueState, getInstanceType, getPrincipal, getStartDateTime, getStartDateTimeArray, getStartDateTimeArrayString, getStartDateTimeArrayString, getStartDateTimeString, isRepeating, serverCompleted, serverDelete, serverDelete, serverGetRepeatPattern, serverSetRepeatPattern, serverUpdate, serverUpdate, setDateTimes`

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on a notice. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### getNoticeType

    public TaskNoticeType getNoticeType()
                                 throws DominoException

  Gets the notice type.

  Returns:
    the notice type
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.NOTICE_TYPE`

### getTitle

    public java.lang.String getTitle()
                              throws DominoException

  Gets the title for the notice using the default locale.

  Returns:
    the title for the notice
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CHAIR`, `PropertyKey.NOTICE_TYPE`, `PropertyKey.PRINCIPAL`

### getTitle

    public java.lang.String getTitle(java.util.Locale locale)
                              throws DominoException

  Gets the title for the notice.

  Parameters:
    `locale` - the locale
  Returns:
    the title for the notice
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.CHAIR`, `PropertyKey.NOTICE_TYPE`, `PropertyKey.PRINCIPAL`

### getStatusUpdate

    public java.lang.String getStatusUpdate()
                                     throws DominoException

  Gets the status update (comment) for the notice.

  Returns:
    the status update (comment) for the notice
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.STATUS_UPDATE`

### getTopic

    public java.lang.String getTopic()
                              throws DominoException

  Gets the topic of the notice.

  Returns:
    the topic of the notice
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.